Package org.eclipse.birt.chart.model.component.impl

# Class ComponentPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.birt.chart.model.component.impl.ComponentPackageImpl

All Implemented Interfaces:
  `ComponentPackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class ComponentPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements ComponentPackage
An implementation of the model Package .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.birt.chart.model.component.ComponentPackage

`ComponentPackage.Literals`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.component.ComponentPackage

`AXIS, AXIS__ALIGNED, AXIS__ANCILLARY_AXES, AXIS__ASSOCIATED_AXES, AXIS__AXIS_PERCENT, AXIS__CATEGORY_AXIS, AXIS__CURSOR, AXIS__FORMAT_SPECIFIER, AXIS__GAP_WIDTH, AXIS__INTERVAL, AXIS__LABEL, AXIS__LABEL_POSITION, AXIS__LABEL_SPAN, AXIS__LABEL_WITHIN_AXES, AXIS__LINE_ATTRIBUTES, AXIS__MAJOR_GRID, AXIS__MARKER_LINES, AXIS__MARKER_RANGES, AXIS__MINOR_GRID, AXIS__ORIENTATION, AXIS__ORIGIN, AXIS__PERCENT, AXIS__PRIMARY_AXIS, AXIS__SCALE, AXIS__SERIES_DEFINITIONS, AXIS__SIDE_BY_SIDE, AXIS__STAGGERED, AXIS__SUB_TITLE, AXIS__TITLE, AXIS__TITLE_POSITION, AXIS__TRIGGERS, AXIS__TYPE, AXIS_FEATURE_COUNT, CHART_PREFERENCES, CHART_PREFERENCES__BLOCKS, CHART_PREFERENCES__LABELS, CHART_PREFERENCES_FEATURE_COUNT, CURVE_FITTING, CURVE_FITTING__LABEL, CURVE_FITTING__LABEL_ANCHOR, CURVE_FITTING__LINE_ATTRIBUTES, CURVE_FITTING_FEATURE_COUNT, DIAL, DIAL__DIAL_REGIONS, DIAL__FILL, DIAL__FORMAT_SPECIFIER, DIAL__INVERSE_SCALE, DIAL__LABEL, DIAL__LINE_ATTRIBUTES, DIAL__MAJOR_GRID, DIAL__MINOR_GRID, DIAL__RADIUS, DIAL__SCALE, DIAL__START_ANGLE, DIAL__STOP_ANGLE, DIAL_FEATURE_COUNT, DIAL_REGION, DIAL_REGION__CURSOR, DIAL_REGION__END_VALUE, DIAL_REGION__FILL, DIAL_REGION__FORMAT_SPECIFIER, DIAL_REGION__INNER_RADIUS, DIAL_REGION__LABEL, DIAL_REGION__LABEL_ANCHOR, DIAL_REGION__OUTER_RADIUS, DIAL_REGION__OUTLINE, DIAL_REGION__START_VALUE, DIAL_REGION__TRIGGERS, DIAL_REGION_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ESTRING_TO_DATA_SET_MAP_ENTRY, ESTRING_TO_DATA_SET_MAP_ENTRY__KEY, ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE, ESTRING_TO_DATA_SET_MAP_ENTRY_FEATURE_COUNT, GRID, GRID__LINE_ATTRIBUTES, GRID__TICK_ATTRIBUTES, GRID__TICK_COUNT, GRID__TICK_SIZE, GRID__TICK_STYLE, GRID_FEATURE_COUNT, LABEL, LABEL__BACKGROUND, LABEL__CAPTION, LABEL__ELLIPSIS, LABEL__INSETS, LABEL__OUTLINE, LABEL__SHADOW_COLOR, LABEL__VISIBLE, LABEL_FEATURE_COUNT, MARKER_LINE, MARKER_LINE__CURSOR, MARKER_LINE__FORMAT_SPECIFIER, MARKER_LINE__LABEL, MARKER_LINE__LABEL_ANCHOR, MARKER_LINE__LINE_ATTRIBUTES, MARKER_LINE__TRIGGERS, MARKER_LINE__VALUE, MARKER_LINE_FEATURE_COUNT, MARKER_RANGE, MARKER_RANGE__CURSOR, MARKER_RANGE__END_VALUE, MARKER_RANGE__FILL, MARKER_RANGE__FORMAT_SPECIFIER, MARKER_RANGE__LABEL, MARKER_RANGE__LABEL_ANCHOR, MARKER_RANGE__OUTLINE, MARKER_RANGE__START_VALUE, MARKER_RANGE__TRIGGERS, MARKER_RANGE_FEATURE_COUNT, NEEDLE, NEEDLE__DECORATOR, NEEDLE__LINE_ATTRIBUTES, NEEDLE_FEATURE_COUNT, SCALE, SCALE__AUTO_EXPAND, SCALE__FACTOR, SCALE__MAJOR_GRIDS_STEP_NUMBER, SCALE__MAX, SCALE__MIN, SCALE__MINOR_GRIDS_PER_UNIT, SCALE__SHOW_OUTSIDE, SCALE__STEP, SCALE__STEP_NUMBER, SCALE__TICK_BETWEEN_CATEGORIES, SCALE__UNIT, SCALE_FEATURE_COUNT, SERIES, SERIES__CURSOR, SERIES__CURVE_FITTING, SERIES__DATA_DEFINITION, SERIES__DATA_POINT, SERIES__DATA_SETS, SERIES__LABEL, SERIES__LABEL_POSITION, SERIES__SERIES_IDENTIFIER, SERIES__STACKED, SERIES__TRANSLUCENT, SERIES__TRIGGERS, SERIES__VISIBLE, SERIES_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAxis()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Aligned()`
`org.eclipse.emf.ecore.EReference`
`getAxis_AncillaryAxes()`
`org.eclipse.emf.ecore.EReference`
`getAxis_AssociatedAxes()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_AxisPercent()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_CategoryAxis()`
`org.eclipse.emf.ecore.EReference`
`getAxis_Cursor()`
`org.eclipse.emf.ecore.EReference`
`getAxis_FormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_GapWidth()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Interval()`
`org.eclipse.emf.ecore.EReference`
`getAxis_Label()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_LabelPosition()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_LabelSpan()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_LabelWithinAxes()`
`org.eclipse.emf.ecore.EReference`
`getAxis_LineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getAxis_MajorGrid()`
`org.eclipse.emf.ecore.EReference`
`getAxis_MarkerLines()`
`org.eclipse.emf.ecore.EReference`
`getAxis_MarkerRanges()`
`org.eclipse.emf.ecore.EReference`
`getAxis_MinorGrid()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Orientation()`
`org.eclipse.emf.ecore.EReference`
`getAxis_Origin()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Percent()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_PrimaryAxis()`
`org.eclipse.emf.ecore.EReference`
`getAxis_Scale()`
`org.eclipse.emf.ecore.EReference`
`getAxis_SeriesDefinitions()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_SideBySide()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Staggered()`
`org.eclipse.emf.ecore.EReference`
`getAxis_SubTitle()`
`org.eclipse.emf.ecore.EReference`
`getAxis_Title()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_TitlePosition()`
`org.eclipse.emf.ecore.EReference`
`getAxis_Triggers()`
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Type()`
`org.eclipse.emf.ecore.EClass`
`getChartPreferences()`
`org.eclipse.emf.ecore.EReference`
`getChartPreferences_Blocks()`
`org.eclipse.emf.ecore.EReference`
`getChartPreferences_Labels()`
`ComponentFactory`
`getComponentFactory()`
`org.eclipse.emf.ecore.EClass`
`getCurveFitting()`
`org.eclipse.emf.ecore.EReference`
`getCurveFitting_Label()`
`org.eclipse.emf.ecore.EAttribute`
`getCurveFitting_LabelAnchor()`
`org.eclipse.emf.ecore.EReference`
`getCurveFitting_LineAttributes()`
`org.eclipse.emf.ecore.EClass`
`getDial()`
`org.eclipse.emf.ecore.EReference`
`getDial_DialRegions()`
`org.eclipse.emf.ecore.EReference`
`getDial_Fill()`
`org.eclipse.emf.ecore.EReference`
`getDial_FormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getDial_InverseScale()`
`org.eclipse.emf.ecore.EReference`
`getDial_Label()`
`org.eclipse.emf.ecore.EReference`
`getDial_LineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getDial_MajorGrid()`
`org.eclipse.emf.ecore.EReference`
`getDial_MinorGrid()`
`org.eclipse.emf.ecore.EAttribute`
`getDial_Radius()`
`org.eclipse.emf.ecore.EReference`
`getDial_Scale()`
`org.eclipse.emf.ecore.EAttribute`
`getDial_StartAngle()`
`org.eclipse.emf.ecore.EAttribute`
`getDial_StopAngle()`
`org.eclipse.emf.ecore.EClass`
`getDialRegion()`
`org.eclipse.emf.ecore.EAttribute`
`getDialRegion_InnerRadius()`
`org.eclipse.emf.ecore.EAttribute`
`getDialRegion_OuterRadius()`
`org.eclipse.emf.ecore.EClass`
`getEStringToDataSetMapEntry()`
`org.eclipse.emf.ecore.EAttribute`
`getEStringToDataSetMapEntry_Key()`
`org.eclipse.emf.ecore.EReference`
`getEStringToDataSetMapEntry_Value()`
`org.eclipse.emf.ecore.EClass`
`getGrid()`
`org.eclipse.emf.ecore.EReference`
`getGrid_LineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getGrid_TickAttributes()`
`org.eclipse.emf.ecore.EAttribute`
`getGrid_TickCount()`
`org.eclipse.emf.ecore.EAttribute`
`getGrid_TickSize()`
`org.eclipse.emf.ecore.EAttribute`
`getGrid_TickStyle()`
`org.eclipse.emf.ecore.EClass`
`getLabel()`
`org.eclipse.emf.ecore.EReference`
`getLabel_Background()`
`org.eclipse.emf.ecore.EReference`
`getLabel_Caption()`
`org.eclipse.emf.ecore.EAttribute`
`getLabel_Ellipsis()`
`org.eclipse.emf.ecore.EReference`
`getLabel_Insets()`
`org.eclipse.emf.ecore.EReference`
`getLabel_Outline()`
`org.eclipse.emf.ecore.EReference`
`getLabel_ShadowColor()`
`org.eclipse.emf.ecore.EAttribute`
`getLabel_Visible()`
`org.eclipse.emf.ecore.EClass`
`getMarkerLine()`
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Cursor()`
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_FormatSpecifier()`
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Label()`
`org.eclipse.emf.ecore.EAttribute`
`getMarkerLine_LabelAnchor()`
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_LineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Triggers()`
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Value()`
`org.eclipse.emf.ecore.EClass`
`getMarkerRange()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Cursor()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_EndValue()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Fill()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_FormatSpecifier()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Label()`
`org.eclipse.emf.ecore.EAttribute`
`getMarkerRange_LabelAnchor()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Outline()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_StartValue()`
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Triggers()`
`org.eclipse.emf.ecore.EClass`
`getNeedle()`
`org.eclipse.emf.ecore.EAttribute`
`getNeedle_Decorator()`
`org.eclipse.emf.ecore.EReference`
`getNeedle_LineAttributes()`
`org.eclipse.emf.ecore.EClass`
`getScale()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_AutoExpand()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_Factor()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_MajorGridsStepNumber()`
`org.eclipse.emf.ecore.EReference`
`getScale_Max()`
`org.eclipse.emf.ecore.EReference`
`getScale_Min()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_MinorGridsPerUnit()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_ShowOutside()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_Step()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_StepNumber()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_TickBetweenCategories()`
`org.eclipse.emf.ecore.EAttribute`
`getScale_Unit()`
`org.eclipse.emf.ecore.EClass`
`getSeries()`
`org.eclipse.emf.ecore.EReference`
`getSeries_Cursor()`
`org.eclipse.emf.ecore.EReference`
`getSeries_CurveFitting()`
`org.eclipse.emf.ecore.EReference`
`getSeries_DataDefinition()`
`org.eclipse.emf.ecore.EReference`
`getSeries_DataPoint()`
`org.eclipse.emf.ecore.EReference`
`getSeries_DataSets()`
`org.eclipse.emf.ecore.EReference`
`getSeries_Label()`
`org.eclipse.emf.ecore.EAttribute`
`getSeries_LabelPosition()`
`org.eclipse.emf.ecore.EAttribute`
`getSeries_SeriesIdentifier()`
`org.eclipse.emf.ecore.EAttribute`
`getSeries_Stacked()`
`org.eclipse.emf.ecore.EAttribute`
`getSeries_Translucent()`
`org.eclipse.emf.ecore.EReference`
`getSeries_Triggers()`
`org.eclipse.emf.ecore.EAttribute`
`getSeries_Visible()`
`static ComponentPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static ComponentPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `ComponentPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `ComponentPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getAxis

public org.eclipse.emf.ecore.EClass getAxis()

Specified by:
  `getAxis` in interface `ComponentPackage`
Returns:
  the meta object for class 'Axis'.
See Also:
  - `Axis`

### getAxis_Type

public org.eclipse.emf.ecore.EAttribute getAxis_Type()

Specified by:
  `getAxis_Type` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Axis.getType()`
  - `ComponentPackage.getAxis()`

### getAxis_Title

public org.eclipse.emf.ecore.EReference getAxis_Title()

Specified by:
  `getAxis_Title` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Title'.
See Also:
  - `Axis.getTitle()`
  - `ComponentPackage.getAxis()`

### getAxis_SubTitle

public org.eclipse.emf.ecore.EReference getAxis_SubTitle()

Specified by:
  `getAxis_SubTitle` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Sub Title'.
See Also:
  - `Axis.getSubTitle()`
  - `ComponentPackage.getAxis()`

### getAxis_TitlePosition

public org.eclipse.emf.ecore.EAttribute getAxis_TitlePosition()

Specified by:
  `getAxis_TitlePosition` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Title Position'.
See Also:
  - `Axis.getTitlePosition()`
  - `ComponentPackage.getAxis()`

### getAxis_AssociatedAxes

public org.eclipse.emf.ecore.EReference getAxis_AssociatedAxes()

Specified by:
  `getAxis_AssociatedAxes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Associated Axes'.
See Also:
  - `Axis.getAssociatedAxes()`
  - `ComponentPackage.getAxis()`

### getAxis_AncillaryAxes

public org.eclipse.emf.ecore.EReference getAxis_AncillaryAxes()

Specified by:
  `getAxis_AncillaryAxes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Ancillary Axes'.
See Also:
  - `Axis.getAncillaryAxes()`
  - `ComponentPackage.getAxis()`

### getAxis_SeriesDefinitions

public org.eclipse.emf.ecore.EReference getAxis_SeriesDefinitions()

Specified by:
  `getAxis_SeriesDefinitions` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Series Definitions'.
See Also:
  - `Axis.getSeriesDefinitions()`
  - `ComponentPackage.getAxis()`

### getAxis_GapWidth

public org.eclipse.emf.ecore.EAttribute getAxis_GapWidth()

Specified by:
  `getAxis_GapWidth` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Gap Width'.
See Also:
  - `Axis.getGapWidth()`
  - `ComponentPackage.getAxis()`

### getAxis_Orientation

public org.eclipse.emf.ecore.EAttribute getAxis_Orientation()

Specified by:
  `getAxis_Orientation` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  - `Axis.getOrientation()`
  - `ComponentPackage.getAxis()`

### getAxis_LineAttributes

public org.eclipse.emf.ecore.EReference getAxis_LineAttributes()

Specified by:
  `getAxis_LineAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Axis.getLineAttributes()`
  - `ComponentPackage.getAxis()`

### getAxis_Label

public org.eclipse.emf.ecore.EReference getAxis_Label()

Specified by:
  `getAxis_Label` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `Axis.getLabel()`
  - `ComponentPackage.getAxis()`

### getAxis_FormatSpecifier

public org.eclipse.emf.ecore.EReference getAxis_FormatSpecifier()

Specified by:
  `getAxis_FormatSpecifier` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `Axis.getFormatSpecifier()`
  - `ComponentPackage.getAxis()`

### getAxis_LabelPosition

public org.eclipse.emf.ecore.EAttribute getAxis_LabelPosition()

Specified by:
  `getAxis_LabelPosition` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Position'.
See Also:
  - `Axis.getLabelPosition()`
  - `ComponentPackage.getAxis()`

### getAxis_Staggered

public org.eclipse.emf.ecore.EAttribute getAxis_Staggered()

Specified by:
  `getAxis_Staggered` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Staggered'.
See Also:
  - `Axis.isStaggered()`
  - `ComponentPackage.getAxis()`

### getAxis_Interval

public org.eclipse.emf.ecore.EAttribute getAxis_Interval()

Specified by:
  `getAxis_Interval` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Interval'.
See Also:
  - `Axis.getInterval()`
  - `ComponentPackage.getAxis()`

### getAxis_MarkerLines

public org.eclipse.emf.ecore.EReference getAxis_MarkerLines()

Specified by:
  `getAxis_MarkerLines` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Marker Lines'.
See Also:
  - `Axis.getMarkerLines()`
  - `ComponentPackage.getAxis()`

### getAxis_MarkerRanges

public org.eclipse.emf.ecore.EReference getAxis_MarkerRanges()

Specified by:
  `getAxis_MarkerRanges` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Marker Ranges'.
See Also:
  - `Axis.getMarkerRanges()`
  - `ComponentPackage.getAxis()`

### getAxis_Triggers

public org.eclipse.emf.ecore.EReference getAxis_Triggers()

Specified by:
  `getAxis_Triggers` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `Axis.getTriggers()`
  - `ComponentPackage.getAxis()`

### getAxis_MajorGrid

public org.eclipse.emf.ecore.EReference getAxis_MajorGrid()

Specified by:
  `getAxis_MajorGrid` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Major Grid'.
See Also:
  - `Axis.getMajorGrid()`
  - `ComponentPackage.getAxis()`

### getAxis_MinorGrid

public org.eclipse.emf.ecore.EReference getAxis_MinorGrid()

Specified by:
  `getAxis_MinorGrid` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Minor Grid'.
See Also:
  - `Axis.getMinorGrid()`
  - `ComponentPackage.getAxis()`

### getAxis_Scale

public org.eclipse.emf.ecore.EReference getAxis_Scale()

Specified by:
  `getAxis_Scale` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Scale'.
See Also:
  - `Axis.getScale()`
  - `ComponentPackage.getAxis()`

### getAxis_Origin

public org.eclipse.emf.ecore.EReference getAxis_Origin()

Specified by:
  `getAxis_Origin` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Origin'.
See Also:
  - `Axis.getOrigin()`
  - `ComponentPackage.getAxis()`

### getAxis_PrimaryAxis

public org.eclipse.emf.ecore.EAttribute getAxis_PrimaryAxis()

Specified by:
  `getAxis_PrimaryAxis` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Primary Axis'.
See Also:
  - `Axis.isPrimaryAxis()`
  - `ComponentPackage.getAxis()`

### getAxis_CategoryAxis

public org.eclipse.emf.ecore.EAttribute getAxis_CategoryAxis()

Specified by:
  `getAxis_CategoryAxis` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Category Axis'.
See Also:
  - `Axis.isCategoryAxis()`
  - `ComponentPackage.getAxis()`

### getAxis_Percent

public org.eclipse.emf.ecore.EAttribute getAxis_Percent()

Specified by:
  `getAxis_Percent` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Percent'.
See Also:
  - `Axis.isPercent()`
  - `ComponentPackage.getAxis()`

### getAxis_LabelWithinAxes

public org.eclipse.emf.ecore.EAttribute getAxis_LabelWithinAxes()

Specified by:
  `getAxis_LabelWithinAxes` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Within Axes'.
See Also:
  - `Axis.isLabelWithinAxes()`
  - `ComponentPackage.getAxis()`

### getAxis_Aligned

public org.eclipse.emf.ecore.EAttribute getAxis_Aligned()

Specified by:
  `getAxis_Aligned` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Aligned'.
See Also:
  - `Axis.isAligned()`
  - `ComponentPackage.getAxis()`

### getAxis_SideBySide

public org.eclipse.emf.ecore.EAttribute getAxis_SideBySide()

Specified by:
  `getAxis_SideBySide` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Side By Side'.
See Also:
  - `Axis.isSideBySide()`
  - `ComponentPackage.getAxis()`

### getAxis_Cursor

public org.eclipse.emf.ecore.EReference getAxis_Cursor()

Specified by:
  `getAxis_Cursor` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `Axis.getCursor()`
  - `ComponentPackage.getAxis()`

### getAxis_LabelSpan

public org.eclipse.emf.ecore.EAttribute getAxis_LabelSpan()

Specified by:
  `getAxis_LabelSpan` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Span'.
See Also:
  - `Axis.getLabelSpan()`
  - `ComponentPackage.getAxis()`

### getAxis_AxisPercent

public org.eclipse.emf.ecore.EAttribute getAxis_AxisPercent()

Specified by:
  `getAxis_AxisPercent` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Axis Percent'.
See Also:
  - `Axis.getAxisPercent()`
  - `ComponentPackage.getAxis()`

### getChartPreferences

public org.eclipse.emf.ecore.EClass getChartPreferences()

Specified by:
  `getChartPreferences` in interface `ComponentPackage`
Returns:
  the meta object for class 'Chart Preferences'.
See Also:
  - `ChartPreferences`

### getChartPreferences_Labels

public org.eclipse.emf.ecore.EReference getChartPreferences_Labels()

Specified by:
  `getChartPreferences_Labels` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Labels'.
See Also:
  - `ChartPreferences.getLabels()`
  - `ComponentPackage.getChartPreferences()`

### getChartPreferences_Blocks

public org.eclipse.emf.ecore.EReference getChartPreferences_Blocks()

Specified by:
  `getChartPreferences_Blocks` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Blocks'.
See Also:
  - `ChartPreferences.getBlocks()`
  - `ComponentPackage.getChartPreferences()`

### getCurveFitting

public org.eclipse.emf.ecore.EClass getCurveFitting()

Specified by:
  `getCurveFitting` in interface `ComponentPackage`
Returns:
  the meta object for class 'Curve Fitting'.
See Also:
  - `CurveFitting`

### getCurveFitting_LineAttributes

public org.eclipse.emf.ecore.EReference getCurveFitting_LineAttributes()

Specified by:
  `getCurveFitting_LineAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `CurveFitting.getLineAttributes()`
  - `ComponentPackage.getCurveFitting()`

### getCurveFitting_Label

public org.eclipse.emf.ecore.EReference getCurveFitting_Label()

Specified by:
  `getCurveFitting_Label` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `CurveFitting.getLabel()`
  - `ComponentPackage.getCurveFitting()`

### getCurveFitting_LabelAnchor

public org.eclipse.emf.ecore.EAttribute getCurveFitting_LabelAnchor()

Specified by:
  `getCurveFitting_LabelAnchor` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Anchor'.
See Also:
  - `CurveFitting.getLabelAnchor()`
  - `ComponentPackage.getCurveFitting()`

### getDial

public org.eclipse.emf.ecore.EClass getDial()

Specified by:
  `getDial` in interface `ComponentPackage`
Returns:
  the meta object for class 'Dial'.
See Also:
  - `Dial`

### getDial_StartAngle

public org.eclipse.emf.ecore.EAttribute getDial_StartAngle()

Specified by:
  `getDial_StartAngle` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Start Angle'.
See Also:
  - `Dial.getStartAngle()`
  - `ComponentPackage.getDial()`

### getDial_StopAngle

public org.eclipse.emf.ecore.EAttribute getDial_StopAngle()

Specified by:
  `getDial_StopAngle` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Stop Angle'.
See Also:
  - `Dial.getStopAngle()`
  - `ComponentPackage.getDial()`

### getDial_Radius

public org.eclipse.emf.ecore.EAttribute getDial_Radius()

Specified by:
  `getDial_Radius` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Radius'.
See Also:
  - `Dial.getRadius()`
  - `ComponentPackage.getDial()`

### getDial_LineAttributes

public org.eclipse.emf.ecore.EReference getDial_LineAttributes()

Specified by:
  `getDial_LineAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Dial.getLineAttributes()`
  - `ComponentPackage.getDial()`

### getDial_Fill

public org.eclipse.emf.ecore.EReference getDial_Fill()

Specified by:
  `getDial_Fill` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `Dial.getFill()`
  - `ComponentPackage.getDial()`

### getDial_DialRegions

public org.eclipse.emf.ecore.EReference getDial_DialRegions()

Specified by:
  `getDial_DialRegions` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Dial Regions'.
See Also:
  - `Dial.getDialRegions()`
  - `ComponentPackage.getDial()`

### getDial_MajorGrid

public org.eclipse.emf.ecore.EReference getDial_MajorGrid()

Specified by:
  `getDial_MajorGrid` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Major Grid'.
See Also:
  - `Dial.getMajorGrid()`
  - `ComponentPackage.getDial()`

### getDial_MinorGrid

public org.eclipse.emf.ecore.EReference getDial_MinorGrid()

Specified by:
  `getDial_MinorGrid` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Minor Grid'.
See Also:
  - `Dial.getMinorGrid()`
  - `ComponentPackage.getDial()`

### getDial_Scale

public org.eclipse.emf.ecore.EReference getDial_Scale()

Specified by:
  `getDial_Scale` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Scale'.
See Also:
  - `Dial.getScale()`
  - `ComponentPackage.getDial()`

### getDial_InverseScale

public org.eclipse.emf.ecore.EAttribute getDial_InverseScale()

Specified by:
  `getDial_InverseScale` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Inverse Scale'.
See Also:
  - `Dial.isInverseScale()`
  - `ComponentPackage.getDial()`

### getDial_Label

public org.eclipse.emf.ecore.EReference getDial_Label()

Specified by:
  `getDial_Label` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `Dial.getLabel()`
  - `ComponentPackage.getDial()`

### getDial_FormatSpecifier

public org.eclipse.emf.ecore.EReference getDial_FormatSpecifier()

Specified by:
  `getDial_FormatSpecifier` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `Dial.getFormatSpecifier()`
  - `ComponentPackage.getDial()`

### getDialRegion

public org.eclipse.emf.ecore.EClass getDialRegion()

Specified by:
  `getDialRegion` in interface `ComponentPackage`
Returns:
  the meta object for class 'Dial Region'.
See Also:
  - `DialRegion`

### getDialRegion_InnerRadius

public org.eclipse.emf.ecore.EAttribute getDialRegion_InnerRadius()

Specified by:
  `getDialRegion_InnerRadius` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Inner Radius'.
See Also:
  - `DialRegion.getInnerRadius()`
  - `ComponentPackage.getDialRegion()`

### getDialRegion_OuterRadius

public org.eclipse.emf.ecore.EAttribute getDialRegion_OuterRadius()

Specified by:
  `getDialRegion_OuterRadius` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Outer Radius'.
See Also:
  - `DialRegion.getOuterRadius()`
  - `ComponentPackage.getDialRegion()`

### getGrid

public org.eclipse.emf.ecore.EClass getGrid()

Specified by:
  `getGrid` in interface `ComponentPackage`
Returns:
  the meta object for class 'Grid'.
See Also:
  - `Grid`

### getGrid_LineAttributes

public org.eclipse.emf.ecore.EReference getGrid_LineAttributes()

Specified by:
  `getGrid_LineAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Grid.getLineAttributes()`
  - `ComponentPackage.getGrid()`

### getGrid_TickStyle

public org.eclipse.emf.ecore.EAttribute getGrid_TickStyle()

Specified by:
  `getGrid_TickStyle` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Tick Style'.
See Also:
  - `Grid.getTickStyle()`
  - `ComponentPackage.getGrid()`

### getGrid_TickAttributes

public org.eclipse.emf.ecore.EReference getGrid_TickAttributes()

Specified by:
  `getGrid_TickAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Tick Attributes'.
See Also:
  - `Grid.getTickAttributes()`
  - `ComponentPackage.getGrid()`

### getGrid_TickSize

public org.eclipse.emf.ecore.EAttribute getGrid_TickSize()

Specified by:
  `getGrid_TickSize` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Tick Size'.
See Also:
  - `Grid.getTickSize()`
  - `ComponentPackage.getGrid()`

### getGrid_TickCount

public org.eclipse.emf.ecore.EAttribute getGrid_TickCount()

Specified by:
  `getGrid_TickCount` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Tick Count'.
See Also:
  - `Grid.getTickCount()`
  - `ComponentPackage.getGrid()`

### getLabel

public org.eclipse.emf.ecore.EClass getLabel()

Specified by:
  `getLabel` in interface `ComponentPackage`
Returns:
  the meta object for class 'Label'.
See Also:
  - `Label`

### getLabel_Caption

public org.eclipse.emf.ecore.EReference getLabel_Caption()

Specified by:
  `getLabel_Caption` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Caption'.
See Also:
  - `Label.getCaption()`
  - `ComponentPackage.getLabel()`

### getLabel_Background

public org.eclipse.emf.ecore.EReference getLabel_Background()

Specified by:
  `getLabel_Background` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Background'.
See Also:
  - `Label.getBackground()`
  - `ComponentPackage.getLabel()`

### getLabel_Outline

public org.eclipse.emf.ecore.EReference getLabel_Outline()

Specified by:
  `getLabel_Outline` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `Label.getOutline()`
  - `ComponentPackage.getLabel()`

### getLabel_ShadowColor

public org.eclipse.emf.ecore.EReference getLabel_ShadowColor()

Specified by:
  `getLabel_ShadowColor` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Shadow Color'.
See Also:
  - `Label.getShadowColor()`
  - `ComponentPackage.getLabel()`

### getLabel_Insets

public org.eclipse.emf.ecore.EReference getLabel_Insets()

Specified by:
  `getLabel_Insets` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Insets'.
See Also:
  - `Label.getInsets()`
  - `ComponentPackage.getLabel()`

### getLabel_Visible

public org.eclipse.emf.ecore.EAttribute getLabel_Visible()

Specified by:
  `getLabel_Visible` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Label.isVisible()`
  - `ComponentPackage.getLabel()`

### getLabel_Ellipsis

public org.eclipse.emf.ecore.EAttribute getLabel_Ellipsis()

Specified by:
  `getLabel_Ellipsis` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Ellipsis'.
See Also:
  - `Label.getEllipsis()`
  - `ComponentPackage.getLabel()`

### getMarkerLine

public org.eclipse.emf.ecore.EClass getMarkerLine()

Specified by:
  `getMarkerLine` in interface `ComponentPackage`
Returns:
  the meta object for class 'Marker Line'.
See Also:
  - `MarkerLine`

### getMarkerLine_LineAttributes

public org.eclipse.emf.ecore.EReference getMarkerLine_LineAttributes()

Specified by:
  `getMarkerLine_LineAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `MarkerLine.getLineAttributes()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerLine_Value

public org.eclipse.emf.ecore.EReference getMarkerLine_Value()

Specified by:
  `getMarkerLine_Value` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `MarkerLine.getValue()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerLine_Label

public org.eclipse.emf.ecore.EReference getMarkerLine_Label()

Specified by:
  `getMarkerLine_Label` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `MarkerLine.getLabel()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerLine_LabelAnchor

public org.eclipse.emf.ecore.EAttribute getMarkerLine_LabelAnchor()

Specified by:
  `getMarkerLine_LabelAnchor` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Anchor'.
See Also:
  - `MarkerLine.getLabelAnchor()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerLine_FormatSpecifier

public org.eclipse.emf.ecore.EReference getMarkerLine_FormatSpecifier()

Specified by:
  `getMarkerLine_FormatSpecifier` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `MarkerLine.getFormatSpecifier()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerLine_Triggers

public org.eclipse.emf.ecore.EReference getMarkerLine_Triggers()

Specified by:
  `getMarkerLine_Triggers` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `MarkerLine.getTriggers()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerLine_Cursor

public org.eclipse.emf.ecore.EReference getMarkerLine_Cursor()

Specified by:
  `getMarkerLine_Cursor` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `MarkerLine.getCursor()`
  - `ComponentPackage.getMarkerLine()`

### getMarkerRange

public org.eclipse.emf.ecore.EClass getMarkerRange()

Specified by:
  `getMarkerRange` in interface `ComponentPackage`
Returns:
  the meta object for class 'Marker Range'.
See Also:
  - `MarkerRange`

### getMarkerRange_Outline

public org.eclipse.emf.ecore.EReference getMarkerRange_Outline()

Specified by:
  `getMarkerRange_Outline` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `MarkerRange.getOutline()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_Fill

public org.eclipse.emf.ecore.EReference getMarkerRange_Fill()

Specified by:
  `getMarkerRange_Fill` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `MarkerRange.getFill()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_StartValue

public org.eclipse.emf.ecore.EReference getMarkerRange_StartValue()

Specified by:
  `getMarkerRange_StartValue` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Start Value'.
See Also:
  - `MarkerRange.getStartValue()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_EndValue

public org.eclipse.emf.ecore.EReference getMarkerRange_EndValue()

Specified by:
  `getMarkerRange_EndValue` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'End Value'.
See Also:
  - `MarkerRange.getEndValue()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_Label

public org.eclipse.emf.ecore.EReference getMarkerRange_Label()

Specified by:
  `getMarkerRange_Label` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `MarkerRange.getLabel()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_LabelAnchor

public org.eclipse.emf.ecore.EAttribute getMarkerRange_LabelAnchor()

Specified by:
  `getMarkerRange_LabelAnchor` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Anchor'.
See Also:
  - `MarkerRange.getLabelAnchor()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_FormatSpecifier

public org.eclipse.emf.ecore.EReference getMarkerRange_FormatSpecifier()

Specified by:
  `getMarkerRange_FormatSpecifier` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `MarkerRange.getFormatSpecifier()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_Triggers

public org.eclipse.emf.ecore.EReference getMarkerRange_Triggers()

Specified by:
  `getMarkerRange_Triggers` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `MarkerRange.getTriggers()`
  - `ComponentPackage.getMarkerRange()`

### getMarkerRange_Cursor

public org.eclipse.emf.ecore.EReference getMarkerRange_Cursor()

Specified by:
  `getMarkerRange_Cursor` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `MarkerRange.getCursor()`
  - `ComponentPackage.getMarkerRange()`

### getNeedle

public org.eclipse.emf.ecore.EClass getNeedle()

Specified by:
  `getNeedle` in interface `ComponentPackage`
Returns:
  the meta object for class 'Needle'.
See Also:
  - `Needle`

### getNeedle_LineAttributes

public org.eclipse.emf.ecore.EReference getNeedle_LineAttributes()

Specified by:
  `getNeedle_LineAttributes` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Needle.getLineAttributes()`
  - `ComponentPackage.getNeedle()`

### getNeedle_Decorator

public org.eclipse.emf.ecore.EAttribute getNeedle_Decorator()

Specified by:
  `getNeedle_Decorator` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Decorator'.
See Also:
  - `Needle.getDecorator()`
  - `ComponentPackage.getNeedle()`

### getScale

public org.eclipse.emf.ecore.EClass getScale()

Specified by:
  `getScale` in interface `ComponentPackage`
Returns:
  the meta object for class 'Scale'.
See Also:
  - `Scale`

### getScale_Min

public org.eclipse.emf.ecore.EReference getScale_Min()

Specified by:
  `getScale_Min` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Min'.
See Also:
  - `Scale.getMin()`
  - `ComponentPackage.getScale()`

### getScale_Max

public org.eclipse.emf.ecore.EReference getScale_Max()

Specified by:
  `getScale_Max` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Max'.
See Also:
  - `Scale.getMax()`
  - `ComponentPackage.getScale()`

### getScale_Step

public org.eclipse.emf.ecore.EAttribute getScale_Step()

Specified by:
  `getScale_Step` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Step'.
See Also:
  - `Scale.getStep()`
  - `ComponentPackage.getScale()`

### getScale_Unit

public org.eclipse.emf.ecore.EAttribute getScale_Unit()

Specified by:
  `getScale_Unit` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Unit'.
See Also:
  - `Scale.getUnit()`
  - `ComponentPackage.getScale()`

### getScale_MinorGridsPerUnit

public org.eclipse.emf.ecore.EAttribute getScale_MinorGridsPerUnit()

Specified by:
  `getScale_MinorGridsPerUnit` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Minor Grids Per Unit'.
See Also:
  - `Scale.getMinorGridsPerUnit()`
  - `ComponentPackage.getScale()`

### getScale_StepNumber

public org.eclipse.emf.ecore.EAttribute getScale_StepNumber()

Specified by:
  `getScale_StepNumber` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Step Number'.
See Also:
  - `Scale.getStepNumber()`
  - `ComponentPackage.getScale()`

### getScale_ShowOutside

public org.eclipse.emf.ecore.EAttribute getScale_ShowOutside()

Specified by:
  `getScale_ShowOutside` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Show Outside'.
See Also:
  - `Scale.isShowOutside()`
  - `ComponentPackage.getScale()`

### getScale_TickBetweenCategories

public org.eclipse.emf.ecore.EAttribute getScale_TickBetweenCategories()

Specified by:
  `getScale_TickBetweenCategories` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Tick Between Categories'.
See Also:
  - `Scale.isTickBetweenCategories()`
  - `ComponentPackage.getScale()`

### getScale_AutoExpand

public org.eclipse.emf.ecore.EAttribute getScale_AutoExpand()

Specified by:
  `getScale_AutoExpand` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Auto Expand'.
See Also:
  - `Scale.isAutoExpand()`
  - `ComponentPackage.getScale()`

### getScale_MajorGridsStepNumber

public org.eclipse.emf.ecore.EAttribute getScale_MajorGridsStepNumber()

Specified by:
  `getScale_MajorGridsStepNumber` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Major Grids Step Number'.
See Also:
  - `Scale.getMajorGridsStepNumber()`
  - `ComponentPackage.getScale()`

### getScale_Factor

public org.eclipse.emf.ecore.EAttribute getScale_Factor()

Specified by:
  `getScale_Factor` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Factor'.
See Also:
  - `Scale.getFactor()`
  - `ComponentPackage.getScale()`

### getSeries

public org.eclipse.emf.ecore.EClass getSeries()

Specified by:
  `getSeries` in interface `ComponentPackage`
Returns:
  the meta object for class 'Series'.
See Also:
  - `Series`

### getSeries_Visible

public org.eclipse.emf.ecore.EAttribute getSeries_Visible()

Specified by:
  `getSeries_Visible` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Series.isVisible()`
  - `ComponentPackage.getSeries()`

### getSeries_Label

public org.eclipse.emf.ecore.EReference getSeries_Label()

Specified by:
  `getSeries_Label` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `Series.getLabel()`
  - `ComponentPackage.getSeries()`

### getSeries_DataDefinition

public org.eclipse.emf.ecore.EReference getSeries_DataDefinition()

Specified by:
  `getSeries_DataDefinition` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Data Definition'.
See Also:
  - `Series.getDataDefinition()`
  - `ComponentPackage.getSeries()`

### getSeries_SeriesIdentifier

public org.eclipse.emf.ecore.EAttribute getSeries_SeriesIdentifier()

Specified by:
  `getSeries_SeriesIdentifier` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Series Identifier'.
See Also:
  - `Series.getSeriesIdentifier()`
  - `ComponentPackage.getSeries()`

### getSeries_DataPoint

public org.eclipse.emf.ecore.EReference getSeries_DataPoint()

Specified by:
  `getSeries_DataPoint` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Data Point'.
See Also:
  - `Series.getDataPoint()`
  - `ComponentPackage.getSeries()`

### getSeries_DataSets

public org.eclipse.emf.ecore.EReference getSeries_DataSets()

Specified by:
  `getSeries_DataSets` in interface `ComponentPackage`
Returns:
  the meta object for the map 'Data Sets'.
See Also:
  - `Series.getDataSets()`
  - `ComponentPackage.getSeries()`

### getSeries_LabelPosition

public org.eclipse.emf.ecore.EAttribute getSeries_LabelPosition()

Specified by:
  `getSeries_LabelPosition` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Label Position'.
See Also:
  - `Series.getLabelPosition()`
  - `ComponentPackage.getSeries()`

### getSeries_Stacked

public org.eclipse.emf.ecore.EAttribute getSeries_Stacked()

Specified by:
  `getSeries_Stacked` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Stacked'.
See Also:
  - `Series.isStacked()`
  - `ComponentPackage.getSeries()`

### getSeries_Triggers

public org.eclipse.emf.ecore.EReference getSeries_Triggers()

Specified by:
  `getSeries_Triggers` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `Series.getTriggers()`
  - `ComponentPackage.getSeries()`

### getSeries_Translucent

public org.eclipse.emf.ecore.EAttribute getSeries_Translucent()

Specified by:
  `getSeries_Translucent` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Translucent'.
See Also:
  - `Series.isTranslucent()`
  - `ComponentPackage.getSeries()`

### getSeries_CurveFitting

public org.eclipse.emf.ecore.EReference getSeries_CurveFitting()

Specified by:
  `getSeries_CurveFitting` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Curve Fitting'.
See Also:
  - `Series.getCurveFitting()`
  - `ComponentPackage.getSeries()`

### getSeries_Cursor

public org.eclipse.emf.ecore.EReference getSeries_Cursor()

Specified by:
  `getSeries_Cursor` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `Series.getCursor()`
  - `ComponentPackage.getSeries()`

### getEStringToDataSetMapEntry

public org.eclipse.emf.ecore.EClass getEStringToDataSetMapEntry()

Specified by:
  `getEStringToDataSetMapEntry` in interface `ComponentPackage`
Returns:
  the meta object for class 'EString To Data Set Map Entry'.
See Also:
  - `Map.Entry`

### getEStringToDataSetMapEntry_Key

public org.eclipse.emf.ecore.EAttribute getEStringToDataSetMapEntry_Key()

Specified by:
  `getEStringToDataSetMapEntry_Key` in interface `ComponentPackage`
Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Map.Entry`
  - `ComponentPackage.getEStringToDataSetMapEntry()`

### getEStringToDataSetMapEntry_Value

public org.eclipse.emf.ecore.EReference getEStringToDataSetMapEntry_Value()

Specified by:
  `getEStringToDataSetMapEntry_Value` in interface `ComponentPackage`
Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `Map.Entry`
  - `ComponentPackage.getEStringToDataSetMapEntry()`

### getComponentFactory

public ComponentFactory getComponentFactory()

Specified by:
  `getComponentFactory` in interface `ComponentPackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.